curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/upload \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/upload"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fileId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"uploadUrl": "https://example-bucket.s3.amazonaws.com/apiuploads/2f1c9a3e-6b1d-4c7e-9a0f-1d2e3f4a5b6c?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Expires=3600&X-Amz-Signature=...",
"expiry": "2022-04-23T14:30:00Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get upload url for a file
Returns a presigned PUT URL for uploading a new version of an existing file. The URL is valid for 1 hour.
Path Parameters
Unique identifier (GUID) of the matter.
Unique identifier (GUID) of the file.
Response
When request is successful. Returns an 'UploadFileInfo' object.
Unique identifier of the file.
"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"
Temporary presigned URL to upload the file content to. Send the raw file bytes with an HTTP PUT request. The URL is valid for 1 hour from the time of the API call (see Expiry).
Important note: When uploading to this URL, set the 'Content-Type' header to an empty value.
Example cURL: curl --location --request PUT 'URL_GOES_HERE' \ --header 'Content-Type: ""' \ --data '@/C:/dir/test.pdf'
"https://example-bucket.s3.amazonaws.com/apiuploads/2f1c9a3e-6b1d-4c7e-9a0f-1d2e3f4a5b6c?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Expires=3600&X-Amz-Signature=..."
UTC date/time when the upload link is no longer accessible (1 hour after issue).
"2022-04-23T14:30:00Z"